// gamma 1.75 -compensate 3

///////////////////////////////
//     $NulL Model shaders   //
///////////////////////////////

models/mapobjects/null_jar/bubbles
{
	cull none
	deformVertexes autosprite2
	{
		map models/mapobjects/null_jar/bubbles.tga
		tcmod scroll 0 0.3
		blendfunc blend
	}
}

models/mapobjects/null_jar/topdetail
{
	cull none
	{
		map models/mapobjects/null_jar/topdetail.tga
		alphafunc GE128
		rgbgen vertex
	}
}

models/mapobjects/dartBoard/dart
{
	{
		map models/mapobjects/dartBoard/dart.tga
		alphaFunc GE128
		rgbgen vertex
	}
}

models/mapobjects/null_beaker/glass
{
	cull none
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		blendfunc add
		tcGen environment 
		rgbgen vertex
	}
}

models/mapobjects/null_drip/fs_tin
{
	cull none
	{
		map models/mapobjects/null_drip/fs_tin.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/blood_bag_cull
{
	cull none
	{
		map models/mapobjects/null_drip/blood_bag.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/hook
{
	cull none
	{
		map models/mapobjects/null_drip/ut_metal5.tga
		rgbgen vertex
	}
}

models/mapobjects/null_drip/cow_wood1
{
	cull none
	{
		map models/mapobjects/null_drip/cow_wood1.tga
		rgbgen vertex
	}
}

textures/null_urt1/null_lamp
{
	qer_editorimage models/ut_subterra/null_lamp/lamp_frame.tga
	{
		map models/ut_subterra/null_lamp/lamp_frame.tga
		rgbgen exactvertex
	}
}

textures/null_urt1/null_lamp_fx
{
	qer_editorimage models/ut_subterra/null_lamp/lamp_light.tga
	{
		map models/ut_subterra/null_lamp/lamp_light.tga
		rgbgen exactvertex
	}
	{
		map models/ut_subterra/null_lamp/lamp_light.tga
		rgbgen identitylighting
		blendfunc add
	}
}


/////////////////////////////////////
//      Lt1 Model Shaders          //
/////////////////////////////////////

models/mapobjects/lt1_cannon/silencer
{
	cull none
	{
		map models/mapobjects/lt1_cannon/silencer.tga
		rgbGen vertex
	}
}

models/mapobjects/lt1_tv/front
{
	{
		tcmod scale 1 1
		animmap 1.25 textures/null_tv/west1.tga textures/null_tv/west2.tga textures/null_tv/west3.tga textures/null_tv/west4.tga textures/null_tv/west5.tga textures/null_tv/west6.tga textures/null_tv/west7.tga textures/null_tv/west8.tga
	}
	{
		map textures/null_urt1/tvfront.tga
		blendfunc blend
		rgbgen exactvertex
	}
//	{
//		map textures/null_urt1/tv_fx.tga
//		blendfunc add
//	}
}

models/mapobjects/lt1_tv/front_noise
{
	{
		tcmod scale 1 1
		animmap 2 textures/null_tv/noise1.tga textures/null_tv/noise2.tga textures/null_tv/noise3.tga textures/null_tv/noise4.tga textures/null_tv/noise5.tga textures/null_tv/noise6.tga textures/null_tv/noise7.tga textures/null_tv/noise8.tga
	}
	{
		map textures/null_urt1/tvfront.tga
		blendfunc blend
		rgbgen vertex
	}
//	{
//		map textures/null_urt1/tv_fx.tga
//		blendfunc add
//	}
}

/////////////////////////////////////
//      MISC Model Shaders         //
/////////////////////////////////////

textures/null_urt1/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

models/ut_subterra/rotor1
{
	surfaceparm trans
	{
		map models/ut_subterra/rotor1.tga
		blendfunc blend
		tcMod rotate 100
	}
	{
		map models/ut_subterra/rotor1.tga
		blendfunc blend
		tcMod rotate 210
	}
}


models/ut_subterra/rotor2
{
	surfaceparm trans
	{
		map models/ut_subterra/rotor2.tga
		blendfunc blend
		tcMod rotate 110
	}
	{
		map models/ut_subterra/rotor2.tga
		blendfunc blend
		tcMod rotate 230
	}

}

models/ut_subterra/blackhk2
{
	q3map_clipmodel
	{
		map models/ut_subterra/blackhk2.tga
		rgbgen vertex
	}
}

models/ut_subterra/blackhk2_nc
{
	{
		map models/ut_subterra/blackhk2.tga
		rgbgen vertex
	}
}

////////////////////////////////////////
//          Brush Shaders             //
////////////////////////////////////////

textures/null_urt1/flame1
{
	qer_editorimage textures/sfx/flame1.tga
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/null_urt1/flame2
{
	qer_editorimage textures/sfx/flame1.tga
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 500
	{
		animMap 11 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 11
	}
	{
		animMap 11 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 11
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .7
	}
}

textures/null_urt1/pond_water
{
	qer_editorimage textures/null_urt1/pond.tga
	qer_trans 0.9
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid	
	cull none
	q3map_tesssize 64
	deformvertexes normal 0.3 0.3
	{
		map textures/null_urt1/pond.tga
		blendFunc GL_src_alpha GL_one_minus_src_alpha
		rgbgen identity
		alphagen const 0.8
		tcmod scale .5 .5
		tcmod scroll .025 .01
		tcgen vector ( 0.005 0 0 ) ( 0 0.005 0 )
	}
	{
		map textures/null_urt1/water_fx.tga
		blendfunc add
		tcmod scale .75 .75
		tcgen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/cei_light_thin_1
{
	surfaceparm nomarks
	qer_editorimage textures/null_urt1/cei_light_thin.tga
	q3map_surfacelight 1300
	q3map_backsplash 0.1 23
	{
		map textures/null_urt1/cei_light_thin.tga
		rgbgen identity
	}
	{
  		map $lightmap	
 		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/null_urt1/wet_lamp_fx
{
	{
		map models/ut_subterra/wet_lamp/wet_lamp.tga
		rgbgen vertex
	}
	{
		map models/ut_subterra/wet_lamp/glow.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sin .5 .6 0 4
		alphagen wave sin 0.5 0.7 0 0.75
	}
}

textures/null_urt1/slick_weap_clip
{
	qer_trans 0.7
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm slick
}

textures/null_urt1/th_dirtywall_dark
{
	qer_editorimage textures/null_urt1/th_dirtywall_dark.tga
	{
		map textures/null_urt1/th_dirtywall.tga
		rgbgen const ( 0.8 0.8 0.8 )
	}
	{
		map $lightmap	
		rgbgen identity
		blendfunc filter
	}
}

textures/null_urt1/mud_grass
{
	qer_editorimage textures/null_urt1/drdirt2.tga
	{
		map textures/null_urt1/drblackrock_3.tga
		tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		rgbgen identity
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01125 0 0 ) ( 0 0.01125 0 )
	}
	{
		map textures/null_urt1/drdirt2.tga
		tcgen vector ( 0.0045 0 0 ) ( 0 0.0045 0 )
		blendfunc blend
		rgbgen identity
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/elect_spark_fx
{
	qer_editorimage textures/null_urt1/electric_sparks.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodight
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	sort 16
	{
		map $whiteimage
		blendfunc gl_zero gl_one
		alphagen wave sawtooth -50 51 0 0.1
		alphafunc gt0
		depthwrite
	}
	{
		clampmap textures/null_urt1/blue_fire_ball.tga
		blendfunc gl_src_alpha gl_one
		tcmod rotate 3
		depthfunc equal
		AlphaGen wave sawtooth 2   -2  0 5
		tcMod stretch sawtooth 0.2 0.7 0 5

	}
	{
		clampmap textures/null_urt1/electric_sparks.tga
		blendfunc gl_src_alpha gl_one
		depthfunc equal
		AlphaGen wave sawtooth 2   -2  0 5
		tcMod stretch sawtooth 0.2 0.9 0 5

		//tcmod rotate 3
	}
}

textures/null_urt1/PIPES1A_cull_none
{
	qer_editorimage textures/null_urt1/PIPES1A.tga
	cull none
	{
		map textures/null_urt1/PIPES1A.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/th_dirtywall_reflect
{
	qer_editorimage textures/null_urt1/th_dirtywall.tga
	{
		map textures/null_urt1/th_dirtywall.tga
		alphagen vertex
		blendfunc blend
	}
//	{
//		map $lightmap
//		alphagen vertex
//		blendfunc gl_src_alpha gl_src_color
//	}
}

textures/null_urt1/small_lab_glass_fx
{
	qer_editorimage textures/null_urt1/small_lab_glass_01.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	nopicmip
	{
		map textures/null_urt1/small_lab_glass_01.tga
		blendfunc blend
		alphagen const 0.4
		tcmod turb 0.3 0 0.3 0.5
	}
}

textures/null_urt1/brokenfloortiles_1
{
	qer_editorimage textures/null_urt1/tile45_256x256_alpha.tga
	{
		map textures/null_urt1/tile45_256x256.tga
		rgbgen identity
	}
	{
		map textures/null_urt1/concrete_distroy_tiles.tga
		rgbgen identity
		alphagen oneminusvertex
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/orangehaze
{
	qer_editorimage textures/null_urt1/orange_haze.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	deformvertexes autosprite2
	{
		map textures/null_urt1/orange_haze.tga
		blendfunc gl_one gl_one
	}
}

textures/null_urt1/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/null_urt1/lightbulb_2
{
	qer_editorimage textures/null_urt1/lightbulb.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformvertexes autosprite2
	{
		map textures/null_urt1/lightbulb.tga
		blendfunc add
		rgbgen wave noise 1 0.5 0 3
	}
}

textures/null_urt1/beam
{
        qer_editorimage textures/null_urt1/beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/null_urt1/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }     
}

textures/null_urt1/beam_dusty2
{
	qer_editorimage textures/null_urt1/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/null_urt1/beam_1.tga
                blendFunc add
        }
}

textures/null_urt1/th_dirtywall_alpha
{
	qer_editorimage textures/null_urt1/th_dirtywall_alpha.tga
	q3map_lightimage textures/null_urt1/th_dirtywall.tga
	{
		map textures/null_urt1/th_dirtywall.tga
		rgbgen identity
	}
	{
		map textures/null_urt1/th_dirtywall_blend.tga
		alphafunc ge128
		alphagen oneminusvertex
		rgbgen identity
	}
	{
		//map textures/null_urt1/th_scraggywall1.tga
		//map textures/null_urt1/brick025.tga
		map textures/null_urt1/brick010.tga
		//blendfunc blend
		alphafunc ge128
		alphagen oneminusvertex
		rgbgen identity
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/concrete_alpha
{
	qer_editorimage textures/null_urt1/concrete_blend.tga
	q3map_lightimage textures/null_urt1/concrete.tga
	{
		map textures/null_urt1/concrete.tga
		rgbgen identity
	}
	{
		map textures/null_urt1/concrete_dirty2.tga
		blendfunc blend
		alphagen oneminusvertex
		rgbgen identity
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/brownvine
{
	qer_editorimage textures/null_urt1/brownvine.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	DeformVertexes autosprite2
	cull none
	nopicmip
	{
		map textures/null_urt1/brownvine.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/null_urt1/pewter_spec
{
	qer_editorimage textures/null_urt1/pewter.tga
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/null_urt1/pewter.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/null_urt1/pewter_shiney
{   
	qer_editorimage textures/null_urt1/pewter.tga
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/null_urt1/pewter.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/null_urt1/fs_ladder
{
	qer_editorimage textures/null_urt1/fs_ladder03.tga
	surfaceparm trans
	cull none
	{
		map textures/null_urt1/fs_ladder03.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal	
	}
}

textures/null_urt1/shaftmetal
{
	//q3map_bouncescale 0.6
	qer_editorimage textures/null_urt1/fs_tin.tga
	surfaceparm metalsteps
	{
		map textures/null_urt1/fs_tin.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/supercomppannel_cullnone
{
	cull none
	{
		map textures/null_urt1/supercomppannel1.tga
		rgbgen vertex
	}
}


textures/null_urt1/fs_powerbox_fx
{
	qer_editorimage textures/null_urt1/fs_powerbox1_front.tga

	{
		map textures/null_urt1/fs_powerbox1_front.tga
//		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
	}
}



textures/null_urt1/portal_sfx
{
	portal
	surfaceparm nolightmap
	surfaceparm nonsolid
	qer_editorimage textures/sfx/portal_sfx.tga
	{
		map textures/ab/green.tga
		blendfunc filter
		TcMod scroll 0 -0.2 
	}

	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}

}

textures/null_urt1/biohazard_sign
{
	qer_editorimage textures/null_urt1/biohazard.tga
	polygonoffset
	{
		map textures/null_urt1/biohazard.tga
		alphafunc GE128	
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/Tile41a_water
{
	qer_editorimage textures/max_tile/Tile41a.tga
	{
		map textures/max_tile/Tile41a.tga
	}
	{
		map textures/null_urt1/pool3d_6e.tga	
		tcmod scale 0.6 0.5
		tcmod turb 0.3 0.3 0 0.05
		tcmod scroll 0.05 0.07
		blendfunc gl_one gl_one
		//blendfunc gl_one gl_dst_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/os_water
{
	qer_editorimage textures/null_urt1/rb_water01.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm water
	cull none
	{
		map textures/null_urt1/rb_water01.tga	
		tcmod scale 0.6 0.5
		tcmod turb 0 0.6 0 0.05
		tcmod scroll 0.05 0.07
		blendfunc blend
	}
	//{
		//map textures/null_urt1/os_gl_fx.tga
		//tcGen environment
		//blendfunc add
	//}
}

textures/null_urt1/conc_cull_none
{
	qer_editorimage textures/null_urt1/CONCRETE.tga
	cull none
	{
		map textures/null_urt1/CONCRETE.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/base_light_trim
{
	qer_editorimage textures/null_urt1/pewter.tga
	surfaceparm nomarks
	cull disable
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/null_urt1/pewter_shiney.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/null_urt1/base_light_hold
{
	qer_editorimage textures/null_urt1/pewter.tga
	cull disable
	deformVertexes autosprite2
	{
		map textures/null_urt1/pewter.tga
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Used for the glass pannels in the white doors near the garage
textures/null_urt1/door_glass
{
	qer_editorimage textures/null_urt1/fs_supercomp02_front.tga
	cull disable
	qer_trans 0.6
	{
		map textures/null_urt1/fs_supercomp02_front.tga
		blendfunc gl_one gl_one_minus_src_color
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

// Water
textures/null_urt1/sprinkler
{
	qer_editorimage textures/null_urt1/rain.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/null_urt1/rain.tga
		blendfunc add
		tcMod scroll 0.05 -3.5
	}
}

textures/null_urt1/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/chrome.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_yard
{
	qer_editorimage textures/null_urt1/tinfx_yard.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/tinfx_yard.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_lab
{
	qer_editorimage textures/null_urt1/tinfx_lab.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/tinfx_lab.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_opp
{
	qer_editorimage textures/null_urt1/tinfx_opp.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/tinfx_opp.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_os
{
	qer_editorimage textures/null_urt1/os_gl_fx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/os_gl_fx.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_os_2
{
	qer_editorimage textures/null_urt1/os_gl_fx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/os_gl_fx_2.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/glass_clear_yellow
{
	qer_editorimage textures/null_urt1/tinfx-yel.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/null_urt1/tinfx-yel.tga
		blendfunc add
		tcGen environment 
	}
}

textures/null_urt1/labdoor
{
	qer_editorimage textures/null_wall/conc01.tga
	{
		map textures/null_wall/conc01.tga
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		blendfunc gl_one_minus_dst_color gl_one_minus_src_color
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/pipe_cull_none
{
	qer_editorimage textures/null_urt1/Pa200179.tga
	cull disable
	{
		map textures/null_urt1/Pa200179.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/bumpmappedterain
{
	q3map_normalimage textures/slrl/rock_1_bump.tga 
	qer_editorimage textures/slrl/rock_1_bump.tga
	{
		map textures/slrl/rock_1.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/bumpmappedcrate
{
	q3map_normalimage textures/urban_terror/crate2_bump.tga 
	qer_editorimage textures/urban_terror/crate2.tga
	{
		map textures/urban_terror/crate2.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/drip1
{
	qer_editorimage textures/null_urt1/drip1a.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/null_urt1/drip1a.tga
//		blendfunc blend
		alphaFunc GE128
		depthwrite
	}
        {
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}

}

textures/null_urt1/ceilingpannelsgratefx
{
	qer_editorimage textures/null_urt1/ceilingpannelsgrate.tga
	{
		map textures/base_trim/tinfx.tga
		tcGen environment 
	}
	{
		map textures/null_urt1/ceilingpannelsgrate.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/heartscreen1
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralpha.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen2
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralphaphased1.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen3
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitorred.tga
	}
	{
		map textures/null_urt1/monitoralpha.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.75 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/heartscreen4
{
	qer_editorimage textures/null_urt1/comp3.tga
	{
		map textures/null_urt1/heartmonitor.tga
	}
	{
		map textures/null_urt1/monitoralphaphased1.tga
		blendfunc gl_zero gl_src_alpha
		tcMod scroll -0.5 0
	}
	{
		map textures/null_urt1/comp3.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/ceilingpannelsbump
{
	qer_editorimage textures/null_urt1/ceilingpannels.tga
	q3map_normalimage textures/null_urt1/ceilingpannelsnormal.tga
	{
		map textures/null_urt1/ceilingpannels.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/ceilingpannelsgratebump
{
	qer_editorimage textures/null_urt1/ceilingpannelsgrate.tga
	q3map_normalimage textures/null_urt1/ceilingpannelsnormal.tga
	{
		map textures/null_urt1/ceilingpannelsgrate.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/lightshade1
{
	qer_editorimage textures/null_urt1/dirty_pewter_big.tga
	surfaceparm metalsteps
	cull disable
	q3map_surfacelight 25
	{
		map textures/null_urt1/dirty_pewter_big.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/null_urt1/lightbulb
{
	qer_editorimage textures/null_urt1/lightlong.tga
	q3map_surfacelight 20000
	{
		map textures/null_urt1/lightlong.tga
		//rgbgen wave 0.7 0 0 1
		//rgbgen const ( 0.7 0.7 0.7 )
	}
}

textures/null_urt1/flare
{
	qer_editorimage textures/null_urt1/corona.tga
	deformvertexes autosprite
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/null_urt1/corona.tga
		blendfunc add
	}
}

textures/null_urt1/proto_grate4
{
	qer_editorimage textures/null_urt1/proto_grate4.tga
	surfaceparm	metalsteps	
	cull none
        nopicmip

	{
		map textures/null_urt1/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/null_urt1/proto_grate4_trans
{
	qer_editorimage textures/null_urt1/proto_grate4.tga
	surfaceparm	metalsteps	
	surfaceparm     trans
        nopicmip
	cull none
	{
		map textures/null_urt1/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/common/nodraw_water
{
 	qer_editorimage textures/common/nodraw_water.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/null_urt1/proto_poolpass
        {
		                
		q3map_globaltexture
	    	qer_editorimage  textures/null_urt1/proto_gruel2.tga
	        // tesssize 256
	        //deformVertexes wave 256 sin 1 0.5 .1 .5
		surfaceparm nonsolid
	        
		{
	        	map textures/null_urt1/proto_gruel2.tga
		        //tcMod scale 1 1
                         tcMod scale .5 .6
			//tcMod scroll .04 .01
                        tcMod turb .1 .25 0 -.1
                       
		}
	        {
			map textures/null_urt1/proto_poolpass.tga
			blendfunc GL_ONE GL_ONE
			tcMod scale .2 .2
			//tcMod scroll .05 .005
                        tcMod turb .1 .25 0 .07
		}
	        {
		        map $lightmap
			rgbgen identity
			blendfunc GL_DST_COLOR GL_ZERO
                }	
	}

textures/null_urt1/lightlong_nolightmap
{
	qer_editorimage textures/null_urt1/lightlong.tga
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/null_urt1/lightlong.tga
		rgbgen wave sin 0.9 0 0 1
	}
}

textures/null_urt1/lightbulb_lab
{
	qer_editorimage textures/null_urt1/lightlong.tga
	surfaceparm trans
	{
		map textures/null_urt1/lightlong.tga
	}
}

textures/null_urt1/lightbulb_lab_fx
{
	qer_editorimage textures/null_urt1/lightlong.tga
	surfaceparm trans
	{
		map textures/null_urt1/lightlong.tga
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $whiteimage
		blendfunc GL_SRC_ALPHA GL_ONE
		//blendfunc GL_SRC_ALPHA GL_ZERO
		rgbgen wave sin .5 .6 0 4
		alphagen wave sin 0.5 0.7 0 0.75
	}
}

textures/null_urt1/dripstandspread
{
	qer_editorimage textures/null_urt1/dripstandlower
	cull none
	{
		map textures/null_urt1/dripstandlower.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/cryo_fog
{
	qer_editorimage textures/null_urt1/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	fogparms ( 0.9 0.9 0.9 ) 60
}

textures/null_urt1/nodraw_fog
{
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm fog
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/null_urt1/cryo_glass
{
	qer_editorimage textures/effects/tinfx.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		blendfunc gl_one gl_one_minus_src_color
		tcGen environment 
	}
}

textures/null_urt1/worldfog
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm fog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_nocarve
	qer_trans 0.2
	fogparms ( 0.01 0.288235 0.001 ) 5000
}

textures/null_urt1/vflashred
{
	qer_editorimage textures/null_urt1/const_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_red.tga
		blendfunc add
		rgbgen wave sin 0.3 1 0.5 1
	}
}

textures/null_urt1/vflashblue
{
	qer_editorimage textures/null_urt1/const_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_blue.tga
		blendfunc add
		rgbgen wave sin 0.3 1 0 1
	}
}

textures/null_urt1/vconstred
{
	qer_editorimage textures/null_urt1/const_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/null_urt1/const_red.tga
		blendfunc add
	}
}

//used to stop people from lemminging out of the chopper
textures/null_urt1/pind_cush
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	{
		map textures/null_urt1/drblackrock_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/slickterain1
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm slick
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	{
		map textures/null_urt1/drblackrock_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/slickterain2
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm slick
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	{
		map textures/null_urt1/drblackrock_3.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/null_urt1/slickterain2_smooth
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm slick
	qer_editorimage textures/null_urt1/drblackrock_3_help.tga
	q3map_tcGen ivector ( 384 0 0 ) ( 0 128 0 )
	{
		map textures/null_urt1/drblackrock_3_large.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_2_large_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/pond_strait
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/qer_strait.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_strait_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/pond_cornera
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/qer_cornera.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_cornera_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/pond_cornerb
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/qer_cornerb.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_cornerb_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/pond_none
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
	qer_editorimage textures/null_urt1/qer_cornera.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3.tga
		alphagen const 0
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terra_strait
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_strait.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_strait_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terra_cornera
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_cornera.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_cornera_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terra_cornerb
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_cornerb.tga
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3_cornerb_alpha.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terra_none
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_cornera.tga
	surfaceparm slick
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_3.tga
		alphagen const 0
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terrarock_strait
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_strait.tga	
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_1_strait.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/terrarock_corner
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/qer_cornerb.tga	
	{
		map textures/null_urt1/drblackrock_2.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_1_corner.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/alt_terain
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/drblackrock_3_larger.tga
	{
		map textures/null_urt1/drblackrock_3_larger.tga
		rgbGen identity
	}
	{
		map textures/null_urt1/drblackrock_2_larger.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

///////////////////////////////
//     q3map2 terrain        //
///////////////////////////////

textures/null_urt1/new_terrain1_old
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	{
		//grass
		map textures/null_urt1/drblackrock_3.tga
		//rgbGen vertex
		alphagen vertex
	}
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		//alphafunc lt128
		//rgbGen vertex
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_slick_old
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	surfaceparm slick
	{
		//rock
		map textures/null_urt1/drblackrock_3.tga
		//rgbGen vertex
		alphagen vertex
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA 
		//alphafunc lt128
		//rgbGen vertex
		alphagen vertex
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_vertical
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 0 96 0 ) ( 0 0 96 )
	q3map_lightmapAxis x
	q3map_alphaMod dotproduct2 ( 1 0 -1 )
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		rgbgen identity
	}
	{
		//grass
		map textures/null_urt1/drblackrock_3.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		//alphafunc lt128
		rgbgen identity
		alphagen oneminusvertex
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01 0 0 ) ( 0 0.01 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_lounge
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 0 96 0 ) ( 0 0 96 )
	q3map_lightmapAxis x
	q3map_alphaMod dotproduct2 ( -0.1 -0.2 0.5 )
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		rgbgen identity
	}
	{
		//grass
		map textures/null_urt1/drblackrock_3.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		//alphafunc lt128
		rgbgen identity
		alphagen oneminusvertex
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01 0 0 ) ( 0 0.01 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	//q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	q3map_lightmapsampleoffset 8
	{
		//rock
		map textures/null_urt1/drblackrock_3.tga
		rgbgen identity
		//rgbGen vertex
		//tcmod turb  0 0.3 0.75 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbgen identity
		alphagen vertex
		//tcmod turb  0 0.3 0 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		//tcmod rotate 0.00001
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01125 0 0 ) ( 0 0.01125 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_portal
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	//q3map_tcGen ivector ( 64 0 0 ) ( 0 64 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_lightmapsampleoffset 16
	{
		//rock
		map textures/null_urt1/drblackrock_3.tga
		//rgbGen vertex
		rgbgen identity
		//tcmod turb  0 0.3 0.75 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbgen identity
		alphagen vertex
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01125 0 0 ) ( 0 0.01125 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_portal_2
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 96 0 0 ) ( 0 96 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_lightmapsampleoffset 16
	{
		//rock
		map textures/null_urt1/drblackrock_3_fade_50.tga
		rgbGen exactvertex
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1_fade_50.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		alphagen vertex
		rgbgen exactvertex
	}
}

textures/null_urt1/new_terrain1_portal_3
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_3.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_lightmapsampleoffset 16
	{
		//rock
		map textures/null_urt1/drblackrock_3_fade_100.tga
		//rgbGen vertex
		//tcmod turb  0 0.3 0.75 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1_fade_100.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		alphagen vertex
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_slick
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	//q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )
	surfaceparm slick
	{
		//rock
		map textures/null_urt1/drblackrock_3.tga
		rgbgen identity
		//rgbGen vertex
		//tcmod turb  0 0.3 0.75 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		//alphafunc lt128
		rgbGen identity
		alphagen vertex
		//tcmod turb  0 0.3 0 0.0001
		//tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		//tcmod rotate 0.00001
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01125 0 0 ) ( 0 0.01125 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_cush
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	surfaceparm nodamage
	{
		//rock
		map textures/null_urt1/drblackrock_3.tga
		rgbGen identity
		//tcmod turb  0 0.3 0.75 0.0001
		tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		//alphafunc lt128
		//rgbGen vertex
		alphagen vertex
		//tcmod turb  0 0.3 0 0.0001
		tcgen vector ( 0.00391 0 0 ) ( 0 0.00391 0 )
		//tcmod rotate 0.00001
	}
	{
		map textures/null_urt1/drblackrock_detail1.tga
		blendfunc gl_dst_color gl_src_color
		tcgen vector ( 0.01125 0 0 ) ( 0 0.01125 0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/new_terrain1_pond
{
	q3map_lightImage textures/null_urt1/drblackrock_2.tga
	qer_editorimage textures/null_urt1/drblackrock_2.tga
	q3map_nonplanar
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	//q3map_tcMod rotate 40
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.85 )
	//surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm pointlight
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		rgbGen vertex
	}
	{
		//grass
		map textures/null_urt1/drblackrock_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

///////////////////////////////
//      Snow Test            //
///////////////////////////////

textures/null_urt1/new_terrain1_snow
{
	q3map_lightImage textures/null_urt1/snow01_256x256
	qer_editorimage textures/null_urt1/snow01_256x256
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	//q3map_tcMod rotate 40
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.85 )
	//surfaceparm nonsolid
	surfaceparm pointlight
	{
		//rock
		map textures/null_urt1/snow01_256x256.tga
		rgbGen vertex
	}
	{
		//grass
		map textures/null_urt1/drblackrock_1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen vertex
	}
}

textures/null_urt1/new_terrain1_slick_snow
{
	q3map_lightImage textures/null_urt1/snow01_256x256
	qer_editorimage textures/null_urt1/snow01_256x256
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	//q3map_tcMod rotate 40
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.85 )
	//surfaceparm nonsolid
	surfaceparm slick
	surfaceparm pointlight
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		rgbGen vertex
	}
	{
		//grass
		map textures/null_urt1/snow01_256x256.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/null_urt1/new_terrain1_pond_snow
{
	q3map_lightImage textures/null_urt1/snow01_256x256
	qer_editorimage textures/null_urt1/snow01_256x256
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_tcGen ivector ( 192 0 0 ) ( 0 192 0 )
	//q3map_tcMod rotate 40
	q3map_lightmapAxis z
	q3map_alphaMod dotproduct2 ( 0 0 0.65 )
	//surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm pointlight
	{
		//rock
		map textures/null_urt1/drblackrock_1.tga
		rgbGen vertex
	}
	{
		//grass
		map textures/null_urt1/snow01_256x256
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

///////////////////////////////
//    End Q3map2 Terrain     //
///////////////////////////////

textures/null_urt1/DrBlackrock_1
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/DrBlackrock_1.tga
	{
		map textures/null_urt1/DrBlackrock_1.tga
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/DrBlackrock_2
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/DrBlackrock_2.tga
	{
		map textures/null_urt1/DrBlackrock_2.tga
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/null_urt1/DrBlackrock_3
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/null_urt1/DrBlackrock_3.tga
	{
		map textures/null_urt1/DrBlackrock_3.tga
		rgbGen identity
	}
	{
		map $lightmap
		tcGen lightmap
		blendfunc filter
		//rgbGen identity
		rgbgen wave sin 0.8 0 0 1
	}
}

textures/null_urt1/alphagrate
{
	qer_editorimage textures/null_urt1/old_tin_alpha.tga
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
	nopicmip
	{
		map textures/null_urt1/old_tin_alpha.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/null_urt1/shaft_flare
{
	qer_editorimage textures/null_urt1/flare_red.tga
	q3map_lightimage textures/null_urt1/flare_red.tga
	q3map_surfacelight 50
	deformVertexes autosprite
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/null_urt1/flare_red.tga
		blendfunc add
	}
}

textures/null_urt1/cei_light_1
{
	surfaceparm nomarks
	qer_editorimage textures/null_urt1/cei_light.tga
	q3map_surfacelight 3200
	{
		map textures/null_urt1/cei_light.tga
		rgbgen identity
	}
	{
  		map $lightmap	
 		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/cei_light_vert
{
	surfaceparm nomarks
	qer_editorimage textures/null_urt1/cei_light.tga
	q3map_surfacelight 12000
	{
		map textures/null_urt1/cei_light.tga
		rgbgen identitylighting
	}
}

// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
textures/null_urt1/sunset1
{
	qer_editorimage textures/null_urt1/sunset_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	//q3map_sunEXT 6 3 2 120 45 37 3 16
	//q3map_sunEXT 7 3 2 80 45 37 4 16
	// 100 original
	q3map_sunEXT 10 3 2 115 45 45 4 16
	skyParms textures/null_urt1/env/sunset 128 -
}

textures/null_urt1/sunset2
{
	qer_editorimage textures/null_urt1/sunset_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	//q3map_sunEXT 6 3 2 120 45 37 2 16
	//q3map_sunEXT 7 3 2 120 45 37 4 16
	// 100 original
	q3map_sunEXT 10 3 2 115 45 45 4 16
	skyParms textures/null_urt1/env/sunset 128 -
}

textures/null_urt1/sunset1_whitelight
{
	qer_editorimage textures/null_urt1/sunset_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	q3map_lightsubdivide 256
	q3map_sunEXT 1 1 1 100 45 37 2 16
	skyParms env/null_urt1/sunset 128 -
}

textures/null_urt1/op_railling
{
	qer_editorimage textures/null_urt1/railling.tga
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/null_urt1/railling.tga
		alphaFunc GE128
//              blenfunc blend
		depthwrite
	}
        {
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}

}

textures/null_urt1/testtubes
{
	qer_editorimage textures/null_urt1/testtube1.tga
	surfaceparm trans
	nopicmip
	{
		map textures/null_urt1/testtube2.tga
		alphaFunc GE128
//              blenfunc blend
//		depthwrite
	}
//        {
//		map $lightmap 
//		blendfunc filter
//		rgbGen identity
//		tcGen lightmap 
//		depthFunc equal
//	}

}

textures/null_urt1/crate_cull_none
{
	qer_editorimage textures/null_urt1/CRATE.tga
	cull none
	{
		map textures/null_urt1/CRATE.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/null_urt1/headlight
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map $whiteimage
		//alphagen const 0.15
		rgbgen const ( 0.75 0.8 0.8 )
		blendfunc add
	}
}

textures/null_urt1/barrel_damage
{
	qer_editorimage textures/null_urt1/barrel.tga
	cull none
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	{
		depthwrite
		map textures/null_urt1/barrel.tga
		alphafunc GE128
	}
	{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}


textures/null_urt1/barrel_water
{
	qer_editorimage textures/null_urt1/barrel_fluid.tga
	surfaceparm nomarks
	{
		map textures/null_urt1/barrel_fluid.tga
		tcmod turb 0 1 0 0.2
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/null_urt1/waterflow
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/wetwired/fs_rain2.tga

	{
		map textures/wetwired/fs_rain2.tga
		tcMod Scroll 0 -4
		blendFunc GL_ONE GL_ONE
	}
}


//////////////////////////////////////////////////////////
// 							//
// 	Steam Shader Made In Particele Studio		//
//							//
//////////////////////////////////////////////////////////

// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

// If this file was created with work-around code switched on,
// you will have to remove all occurences of the string
// "//-UNCMT4RELEASE-//" after you compile the map.
// 
// If you forget to do this,  your particles will look flat and 
// will have misaligned textures.

textures/null_urt1/steam_1
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -87.158745 -10.750845 91.911278 sawtooth 0 1 0.315088 0.598294
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 56.601612
AlphaGen wave sawtooth 2.088693 -2.088693 0.315088 0.598294
rgbGen wave sawtooth 0.780862 -0.015519 0.315088 0.598294
tcMod stretch sawtooth 0.437938 0.562062 0.315088 0.598294
blendfunc blend
}
}

textures/null_urt1/steam_2
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -59.698288 -4.119547 50.750397 sawtooth 0 1 0.199484 1.101108
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 40.411541
AlphaGen wave sawtooth 1.855348 -1.855348 0.199484 1.101108
rgbGen wave sawtooth 0.943172 -0.396023 0.199484 1.101108
tcMod stretch sawtooth 0.495929 0.504071 0.199484 1.101108
blendfunc blend
}
}

textures/null_urt1/steam_3
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -41.103611 1.363861 26.461969 sawtooth 0 1 -0.072924 0.822378
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 48.218178
AlphaGen wave sawtooth 1.833302 -1.833302 -0.072924 0.822378
rgbGen wave sawtooth 1.000522 -0.381613 -0.072924 0.822378
tcMod stretch sawtooth 0.462633 0.537367 -0.072924 0.822378
blendfunc blend
}
}

textures/null_urt1/steam_4
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -38.892239 -3.380675 24.503685 sawtooth 0 1 0.662206 1.596226
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 9.490189
AlphaGen wave sawtooth 2.146739 -2.146739 0.662206 1.596226
rgbGen wave sawtooth 1.041539 -0.116962 0.662206 1.596226
tcMod stretch sawtooth 0.432890 0.567110 0.662206 1.596226
blendfunc blend
}
}

textures/null_urt1/steam_5
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -43.047722 1.235279 30.905397 sawtooth 0 1 -0.172048 0.844872
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 49.097111
AlphaGen wave sawtooth 1.856191 -1.856191 -0.172048 0.844872
rgbGen wave sawtooth 1.288098 -0.316224 -0.172048 0.844872
tcMod stretch sawtooth 0.305145 0.694855 -0.172048 0.844872
blendfunc blend
}
}

textures/null_urt1/steam_6
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -65.584236 6.248170 41.540665 sawtooth 0 1 0.857646 1.098406
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 81.284981
AlphaGen wave sawtooth 1.886026 -1.886026 0.857646 1.098406
rgbGen wave sawtooth 1.004221 -0.242650 0.857646 1.098406
tcMod stretch sawtooth 0.371822 0.628178 0.857646 1.098406
blendfunc blend
}
}

textures/null_urt1/steam_7
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -48.452797 -2.260716 37.987148 sawtooth 0 1 -0.213858 0.860555
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 87.901398
AlphaGen wave sawtooth 2.045515 -2.045515 -0.213858 0.860555
rgbGen wave sawtooth 0.939198 -0.179641 -0.213858 0.860555
tcMod stretch sawtooth 0.320441 0.679559 -0.213858 0.860555
blendfunc blend
}
}

textures/null_urt1/steam_8
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -29.514198 3.631344 30.118195 sawtooth 0 1 0.471892 1.013034
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 21.355785
AlphaGen wave sawtooth 1.996124 -1.996124 0.471892 1.013034
rgbGen wave sawtooth 0.961867 0.003543 0.471892 1.013034
tcMod stretch sawtooth 0.368770 0.631230 0.471892 1.013034
blendfunc blend
}
}

textures/null_urt1/steam_9
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -26.084806 -2.802130 27.578253 sawtooth 0 1 0.377834 1.200336
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 22.970215
AlphaGen wave sawtooth 2.024970 -2.024970 0.377834 1.200336
rgbGen wave sawtooth 1.085540 -0.334443 0.377834 1.200336
tcMod stretch sawtooth 0.387564 0.612436 0.377834 1.200336
blendfunc blend
}
}

textures/null_urt1/steam_10
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -74.893654 8.283235 72.097786 sawtooth 0 1 1.029771 0.819073
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 13.295846
AlphaGen wave sawtooth 2.119883 -2.119883 1.029771 0.819073
rgbGen wave sawtooth 0.801462 -0.233164 1.029771 0.819073
tcMod stretch sawtooth 0.460741 0.539259 1.029771 0.819073
blendfunc blend
}
}

textures/null_urt1/steam_11
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -96.703064 10.545990 75.127579 sawtooth 0 1 0.072710 0.617395
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 32.842953
AlphaGen wave sawtooth 1.988580 -1.988580 0.072710 0.617395
rgbGen wave sawtooth 0.836253 0.079131 0.072710 0.617395
tcMod stretch sawtooth 0.353920 0.646080 0.072710 0.617395
blendfunc blend
}
}

textures/null_urt1/steam_12
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -80.885437 6.088585 48.938831 sawtooth 0 1 0.945906 0.630598
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 53.522293
AlphaGen wave sawtooth 2.167138 -2.167138 0.945906 0.630598
rgbGen wave sawtooth 0.956630 -0.456890 0.945906 0.630598
tcMod stretch sawtooth 0.350526 0.649474 0.945906 0.630598
blendfunc blend
}
}

textures/null_urt1/steam_13
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -21.136948 -1.311817 24.768574 sawtooth 0 1 0.962691 0.937555
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 66.556747
AlphaGen wave sawtooth 2.156639 -2.156639 0.962691 0.937555
rgbGen wave sawtooth 1.244902 -0.291430 0.962691 0.937555
tcMod stretch sawtooth 0.469207 0.530793 0.962691 0.937555
blendfunc blend
}
}

textures/null_urt1/steam_14
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -102.675842 -10.141435 68.130890 sawtooth 0 1 0.994186 0.599884
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 12.310099
AlphaGen wave sawtooth 2.122581 -2.122581 0.994186 0.599884
rgbGen wave sawtooth 1.205496 -0.301154 0.994186 0.599884
tcMod stretch sawtooth 0.376998 0.623002 0.994186 0.599884
blendfunc blend
}
}

textures/null_urt1/steam_15
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -102.814766 7.458118 93.422768 sawtooth 0 1 0.834269 0.583128
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 49.689171
AlphaGen wave sawtooth 1.865651 -1.865651 0.834269 0.583128
rgbGen wave sawtooth 1.072320 -0.434880 0.834269 0.583128
tcMod stretch sawtooth 0.419181 0.580819 0.834269 0.583128
blendfunc blend
}
}

textures/null_urt1/steam_16
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -54.618103 3.347861 35.360264 sawtooth 0 1 0.771096 1.024628
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 77.610550
AlphaGen wave sawtooth 2.081222 -2.081222 0.771096 1.024628
rgbGen wave sawtooth 0.929347 0.066973 0.771096 1.024628
tcMod stretch sawtooth 0.430253 0.569747 0.771096 1.024628
blendfunc blend
}
}

textures/null_urt1/steam_17
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -94.927673 8.110387 56.850796 sawtooth 0 1 1.447874 0.715346
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 89.918671
AlphaGen wave sawtooth 2.002558 -2.002558 1.447874 0.715346
rgbGen wave sawtooth 1.133699 -0.393295 1.447874 0.715346
tcMod stretch sawtooth 0.424680 0.575320 1.447874 0.715346
blendfunc blend
}
}

textures/null_urt1/steam_18
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -91.477356 2.990959 92.163536 sawtooth 0 1 -0.066210 0.580302
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 51.447037
AlphaGen wave sawtooth 1.872951 -1.872951 -0.066210 0.580302
rgbGen wave sawtooth 0.911457 -0.148860 -0.066210 0.580302
tcMod stretch sawtooth 0.349232 0.650768 -0.066210 0.580302
blendfunc blend
}
}

textures/null_urt1/steam_19
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -65.021713 4.748063 45.296040 sawtooth 0 1 1.200796 0.702970
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 25.249947
AlphaGen wave sawtooth 2.047188 -2.047188 1.200796 0.702970
rgbGen wave sawtooth 0.995944 -0.387033 1.200796 0.702970
tcMod stretch sawtooth 0.404233 0.595767 1.200796 0.702970
blendfunc blend
}
}

textures/null_urt1/steam_20
{
qer_editorimage textures/null_urt1/steam_3.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -70.496712 -0.424179 55.512573 sawtooth 0 1 0.234214 0.743917
{
clampmap textures/null_urt1/steam_3.tga
tcMod rotate 42.456284
AlphaGen wave sawtooth 1.963372 -1.963372 0.234214 0.743917
rgbGen wave sawtooth 0.952895 -0.120038 0.234214 0.743917
tcMod stretch sawtooth 0.333796 0.666204 0.234214 0.743917
blendfunc blend
}
}




//tests

textures/null_urt1/lavahell
{
	qer_editorimage textures/liquids/lavahell.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/null_urt1/skull
{
	q3map_surfaceModel models/mapobjects/null_flare/flare.md3 20 1 4 6 1 1 1
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap
}

